<template>
  <FormTemplate>
    <template #content>
      <h1 class="text-2xl">Sing up</h1>
      <form @submit.prevent="singUp" class="flex flex-col pt-8 p-4">
        <JInput v-model="user" type="text" title="User name" placeholder="User name"/>
        <JInput v-model="pass" type="password" title="Password" placeholder="Password"/>
        <JInput v-model="email" type="email" title="Email" placeholder="Email"/>
        <JButton :disabled="disabled" class="self-center" title="Sing up"/>
      </form>
    </template>
  </FormTemplate>
</template>

<script>
import { Options, Vue } from 'vue-class-component';
import JButton from '@/components/atoms/JButton.vue'
import FormTemplate from '@/components/template/FormTemplate.vue'
import JInput from '@/components/atoms/JInput.vue'

@Options({
  components: {
    JButton,
    FormTemplate,
    JInput
  },
})
export default class SingUp extends Vue {
  user= ''
  email= ''
  pass =''

  get disabled() {
    return !(this.user.length > 0 && this.email.length > 0 && this.pass.length > 0)
  }

  singUp() {
    let usersRaw = localStorage.getItem('users')
    let users = usersRaw ? JSON.parse(usersRaw) : []
    users.push({user: this.user, email: this.email, pass: this.pass})
    localStorage.setItem('users', JSON.stringify(users))
    this.$router.push({ name: 'home'})
  }

}
</script>
